Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.transformer.compression
Class AbstractCompressionTransformer

    java.lang.Object
      org.mule.transformer.AbstractTransformer
          org.mule.transformer.compression.AbstractCompressionTransformer

All Implemented Interfaces:
  MuleContextAware, MuleContextNotificationListener<MuleContextNotification>, ServerNotificationListener<MuleContextNotification>, Disposable, Initialisable, NamedObject, MessageProcessor, Transformer, EndpointAware

Direct Known Subclasses:
  GZipCompressTransformer, GZipUncompressTransformer

    public abstract class AbstractCompressionTransformer

extends AbstractTransformer

`AbstractCompressionTransformer` is a base class for all transformers that can compress or uncompress data when they performa message transformation. Compression is done via a pluggable strategy.

Field Summary

Fields inherited from class org.mule.transformer.AbstractTransformer
`encoding, endpoint, logger, mimeType, MULE_MESSAGE_DATA_TYPE, muleContext, name, returnType, sourceTypes`

Fields inherited from interface org.mule.api.lifecycle.Initialisable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Disposable
`PHASE_NAME`

Constructor Summary
`AbstractCompressionTransformer()` default constructor required for discovery

Method Summary
`CompressionStrategy` | `getStrategy()`
`void` | `setStrategy(CompressionStrategy strategy)`

Methods inherited from class org.mule.transformer.AbstractTransformer
`checkReturnClass, dispose, doTransform, generateTransformerName, getEncoding, getEncoding, getEndpoint, getMimeType, getName, getReturnClass, getReturnDataType, getSourceDataTypes, getSourceTypes, initialise, isAcceptNull, isAllowNullReturn, isConsumed, isIgnoreBadInput, isSourceDataTypeSupported, isSourceDataTypeSupported, isSourceTypeSupported, isSourceTypeSupported, onNotification, process, registerSourceType, registerSourceType, setAllowNullReturn, setEncoding, setEndpoint, setIgnoreBadInput, setMimeType, setMuleContext, setName, setReturnClass, setReturnDataType, toString, transform, transform, unregisterSourceType, unregisterSourceType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AbstractCompressionTransformer

    public AbstractCompressionTransformer()

  default constructor required for discovery

Method Detail

### getStrategy

    public CompressionStrategy getStrategy()

### setStrategy

    public void setStrategy(CompressionStrategy strategy)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.